Skip to main content
GET
/
projects
/
{project_id}
프로젝트 상세 조회
curl --request GET \
  --url https://api.example.com/projects/{project_id} \
  --header 'Authorization: Bearer <token>'
{
  "project_id": 123,
  "owner_id": 123,
  "class_id": 123,
  "name": "<string>",
  "project_type": "<string>",
  "status": "<string>",
  "progress_percent": "<string>",
  "practice_hours": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "conversation_count": 0,
  "last_activity_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
integer
required
Required range: x >= 1

Response

Successful Response

project_id
integer
required
owner_id
integer
required
class_id
integer
required
name
string
required
project_type
string
required
status
string
required
progress_percent
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
practice_hours
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
conversation_count
integer
default:0
last_activity_at
string<date-time> | null